Subject: Re: [PATCH v3 0/3] git-credential-netrc: better symbolic port names support

From: Junio C Hamano <[email-masked]>
Date: Tue, 24 Jun 2025 09:04:48 -0700

Maxim Cournoyer <[email-masked]> writes:

> Most suggestions from Junio have been applied in this revision.
>
> Changes in v3:
>  - rename is_port to port_num
>  - directly return scalar value from getservbyname in port_num
>
> Thanks,
>
> Maxim Cournoyer (3):
>   contrib: use a more portable shebang for git-credential-netrc
>   contrib: warn for invalid netrc file ports in git-credential-netrc
>   contrib: better support symbolic port names in git-credential-netrc
>
>  contrib/credential/netrc/git-credential-netrc.perl | 14 +++++++++++---
>  contrib/credential/netrc/test.pl                   |  8 ++++----
>  git-send-email.perl                                | 11 +++++++++++
>  perl/Git.pm                                        | 13 +++++++++++++
>  t/t9001-send-email.sh                              |  7 +++++++
>  5 files changed, 46 insertions(+), 7 deletions(-)

v2 and this iteration both have all messages set as replies to a
single message in the old thread.

Please make sure in your future submissions:

 - [0/n] is a reply to [0/m] of the previous iteration.

 - [1/n], [2/n], ... and [n/n] are all replies to [0/n] of the same
   iteration.